# TinyLoRa Sensor Node

## Overview

A Minimalistic Sensor Node for use on TheThingsNetwork.

![Case Back](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/case_back.jpg) ![Case Front](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/case_front.jpg) ![PCB Back](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/pcb_back.jpg)

### Features

* Small Size, only 47x36x15mm populated
* Based on widely available Atmel ATTiny84 MCU and RFM95W LoRa-module
* 6 free GPIO-Pins from the ATTiny to connect sensors on a 2.54mm pitch header
* Optional on-board LED for status signaling
* Powered by a single CR2032 lithium battery
* Long battery runtime using  the ATTinys deep sleep mode
* Integrated 6-Pin programming header
* Small component count

## Subdirectories In this Repository

* **Case:** A 3D-Printable Case, OpenSCAD and STL Files
* **Firmware:** Example Firmware, platformio project
* **PCB_SMD:** PCB for SMD components, KiCAD project